Subject: [PATCH] clk: Properly initialize reference count

From: [email-masked] (Stephen Warren)
Date: Thu, 31 Oct 2013 13:09:11 -0600

On 10/31/2013 06:02 AM, Thierry Reding wrote:
> Commit a336ed7 (clk: Implement clk_unregister()) initializes the kref in
> clk_set_parent(), which is obviously the wrong place. Further research
> shows that the original patches initialized it correctly, so it probably
> ended up in clk_set_parent() by mistake during manual application of the
> patch.

Tested-by: Stephen Warren <[email-masked]>

BTW, it'd be nice to Cc fixes like this to linux-next at vger.kernel.org; I
/might/ have avoided doing a bisect if I'd seen this patch first!

I see the benefit of that "linux-next plus today's accumulated
bug-fixes" tree that I think you proposed:-)